summaryrefslogtreecommitdiff
path: root/.tools/testxml.sh
diff options
context:
space:
mode:
authorJesusaves <cpntb1@ymail.com>2023-01-04 15:59:08 -0300
committerJesusaves <cpntb1@ymail.com>2023-01-04 15:59:08 -0300
commit299b38bd5dda1e37cd894a2907605c58b19b4f64 (patch)
treeabc64b63c06ca1817769ed10f3d4a9ff2914373b /.tools/testxml.sh
parent3daa25760e3cd226b708a302b222314823178f7f (diff)
downloadclientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.tar.gz
clientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.tar.bz2
clientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.tar.xz
clientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.zip
Forcefully introduce the standardized CI to client-data
Diffstat (limited to '.tools/testxml.sh')
-rwxr-xr-x.tools/testxml.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/.tools/testxml.sh b/.tools/testxml.sh
new file mode 100755
index 00000000..a0dc16b3
--- /dev/null
+++ b/.tools/testxml.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+source ./.tools/init.sh
+
+clientdata_init
+
+aptget_update
+aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python python-pyvorbis python-ogg python-pil
+rm -rf tools
+gitclone https://git.themanaworld.org/evolved tools.git tools
+
+cd tools/CI/testxml
+
+./xsdcheck.sh
+check_error $?
+export RES=$(cat errors.txt)
+if [[ -n "${RES}" ]]; then
+ echo "xml check failed" >../../../clientdata/shared/error.log
+ echo ${RES} >>../../../clientdata/shared/error.log
+ cat ../../../clientdata/shared/error.log
+ exit 1
+fi
+
+echo >../../../clientdata/shared/error.log
+./testxml.py stfu >../../../clientdata/shared/error.log
+res="$?"
+cat ../../../clientdata/shared/error.log
+if [ "$res" != 0 ]; then
+ echo "test xml error"
+ exit 1
+fi
+
+echo >../../../clientdata/shared/error.log